Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat
Class ChatterList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector
                  madkit.MadChat.ChatterList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class ChatterList

extends java.util.Vector

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ChatterList()`
`ChatterList(int arg0)`
`ChatterList(int arg0, int arg1)`

Method Summary
`Chatter` | `getByAgentAddress(AgentAddress aa)`
`Chatter` | `getByLogin(java.lang.String login)`
`boolean` | `isInList(java.lang.String login)`
`void` | `RemoveByAgentAddress(AgentAddress aa)`
`void` | `removeByLogin(java.lang.String login)`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### ChatterList

    public ChatterList(int arg0,
                       int arg1)

### ChatterList

    public ChatterList(int arg0)

### ChatterList

    public ChatterList()

Method Detail

### removeByLogin

    public void removeByLogin(java.lang.String login)

### getByLogin

    public Chatter getByLogin(java.lang.String login)

### getByAgentAddress

    public Chatter getByAgentAddress(AgentAddress aa)

### RemoveByAgentAddress

    public void RemoveByAgentAddress(AgentAddress aa)

### isInList

    public boolean isInList(java.lang.String login)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.